@charset "utf-8";
/* 
	Author:		Eric Zimmer
	Date:		10/16/2023
	Purpose: 	This is the main stylesheet for the tic tac toe game website.
	Filename:	styles.css
*/

/* HTML and Body */

html {
    background-color: #333;
    color: #eee;
    padding-bottom: 500px;
}

body {
    max-width: 300px;
    margin: auto;
}

/* Header */

header {
    text-align: center;
}

/* Game Board */

.board-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    max-width: 100%;
    margin: auto;
}

.board-button {
    width: 100%;
    height: 100px;
    font-size: 30px;
    font-weight: bold;
    text-align: center;
    background-color: #ddd;
    border: 2px solid #000;
    color: black;
}

#button1 {
    border-top-left-radius: 10px;
}

#button3 {
    border-top-right-radius: 10px;
}

#button7 {
    border-bottom-left-radius: 10px;
}

#button9 {
    border-bottom-right-radius: 10px;
}

.board-button:hover {
    background-color: #fff;
}

/* Reset Button */

.reset {
    text-align: center;
    margin-top: 15px;
}

/* Winning Buttons */

.winning-button {
    background-color: rgba(255, 0, 0, 0.5);
}

.winning-button:hover {
    background-color: rgba(255, 0, 0, 0.5);
}

.losing-button {
    color: rgba(0, 0, 0, 0.5);
}

.losing-button:hover {
    background-color: #ddd;
}

/* Player Info */

.player-info {
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 10px 25%;
}

.player1, .player2, .cat {
    padding: 3px 0;
}

/* Player Mode Toggle */

.player-mode {
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 10px 25%;
}

.two-player, .single-player {
    padding: 3px 0;
}


.confetti-container {
    display: none;
    flex-direction: row;
    justify-content: space-around;
}

.confetti {
    display: inline-block;
}


.confetti {
    font-size: 24px;
    color: red;
    animation: fall 3s linear infinite;
}

@keyframes fall {
    0% {
        transform: translateY(0);
        opacity: 1;
    }
    100% {
        transform: translateY(100vh);
        opacity: 0;
    }
}